%define upstream_name	 Catalyst-Plugin-DefaultEnd
%define upstream_version 0.08

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 11

Summary:	Sensible default end action for Catalyst
License:	Artistic/GPL
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Catalyst) >= 5.20
BuildRequires:	perl(Module::Build)
BuildArch:	noarch


%description
This action implements a sensible default end action, which will forward to the
first available view, unless status is set to 3xx, or there is a response body.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc README Changes META.yml
%{perl_vendorlib}/Catalyst/
%{_mandir}/*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.80.0-11.mga10
+ Revision: 2212185
- Mageia 10 Mass Rebuild

* Tue Mar 29 2022 umeabot <umeabot> 0.80.0-10.mga9
+ Revision: 1831378
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-9.mga8
+ Revision: 1493465
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-8.mga7
+ Revision: 1265965
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.80.0-7.mga6
+ Revision: 1023312
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.80.0-6.mga6
+ Revision: 946717
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-5.mga5
+ Revision: 741263
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.80.0-3.mga4
+ Revision: 509756
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 364021
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 40279
- mageia rebuild
- imported package perl-Catalyst-Plugin-DefaultEnd

